* {
    margin: 0;
    padding: 0;
    border: 0;
    box-sizing: border-box;
}

h1 {
    font-family: 'Montserrat', sans-serif;
    text-align: center;
    padding: 3%;
}

h2,
h3,
h4,
p {
    font-family: 'Montserrat', sans-serif;
}

.header {
    width: 100%;
    height: 100px;
    background-color: hsl(218, 53%, 83%);
    display: flex;
    justify-content: flex-end;
    .header_container {
        display: flex;
        justify-content: space-between;
        position: relative;
        width: 58%;
        height: 100%;
        .logo_container {
            width: 211px;
            text-align: center;
            .logo_img {
                height: 110px;
                background-image: url("../images/logos/logo.png");
            }
        }
        .loginCartLanguages {
            right: 34px;
            // position: absolute;
            // top: -42px;
            img {
                height: auto;
                max-width: 26px;
                padding: 2px;
            }
        }
    }
}

.loginCartLanguages a:hover {
    border-bottom: 2px solid black;
}


/* Style the top navigation bar */

#navbar {
    display: flex;
    flex-flow: wrap;
    align-items: center;
    justify-content: center;
}


/* Style the navigation bar links */

#navbar a {
    color: black;
    padding: 14px 20px;
    text-decoration: none;
    text-align: center;
}


/* Effects on hover */

#navbar a:hover {
    border-bottom: 2px solid black;
    color: black;
}


/*NavBar Sticky */

// #navbar {
//     overflow: hidden;
// }

/* Banner Test  */

.bannerIntro_container {
    width: 100%;
    height: 400px;
    display: flex;
    justify-content: center;
    align-items: center;
    //background-color: blue;
    .bannerIntro_ {
        width: 1180px;
        height: 400px;
        position: relative;
        .bannerIntro_1 {
            width: 1180px;
            height: 400px;
            position: absolute;
            z-index: 2;
        }
        .bannerIntro_2 {
            width: 23%;
            height: 400px;
            background-color: #BBCCEA;
            opacity: 0.9;
            position: absolute;
            z-index: 3;
            .bannerIntro_2_2 {
                width: 100%;
                height: auto;
                display: flex;
                justify-content: center;
                align-items: center;
                flex-flow: column wrap;
                p {
                    color: white;
                    font-size: 2em;
                    padding-top: 10%;
                    padding-bottom: 25%;
                    padding-left: 7%;
                }
                .buttonBlack {
                    border: none;
                    background-color: black;
                    color: white;
                    padding: 13px 13px;
                    text-align: center;
                    text-decoration: none;
                    font-size: 16px;
                    margin: 4px 2px;
                    cursor: pointer;
                }
                .bB1 {
                    //position: absolute;
                    left: 50%;
                }
            }
        }
    }
}

.separationBorder {
    text-align: center;
}


/*To make it responsive */


/*It needs to include the class and what is being afected (image in this case) */


/* What is New? photos */

.newCollection {
    width: 100%;
    height: 350px;
    display: flex;
    flex-flow: row wrap;
    justify-content: center;
    align-content: space-around;
    background-color: wheat;
    .mainCollection {
        width: 80%;
        height: auto;
        display: flex;
        flex-direction: row;
        justify-content: center;
        background-color: yellowgreen;
        position: relative;
        z-index: 0;
        .coll_item {
            display: flex;
            justify-content: center;
            flex-direction: column;
            align-content: space-between;
            padding: 0 3.4%;
            background-color: lightpink;
            .img_coll {
                width: 300px;
                height: 300px;
                //background-color: lightgray;
            }
            .info_coll {
                width: 300px;
                height: auto;
                background-color: rgba(187, 204, 234, 0.3);
                h1 {
                    font-size: large;
                    text-align: center;
                }
                p {
                    text-align: center;
                    padding-bottom: 1%;
                }
            }
        }
        .coll_item_last {
            z-index: 0;
            background-color: maroon;
            .icon_coll {
                position: absolute;
                color: black;
                font-size: 3em;
                top: 86%;
                left: 103%;
                z-index: 3;
            }
        }
    }
}


/* The cursor pointer changes when its going to click an image to a hand instead of the arrow we have by default*/

.pointer {
    cursor: pointer;
}


/* Carousel */

.carousel_container {
    width: 100%;
    height: auto;
    background-color: lightskyblue;
    display: flex;
    justify-content: center;
    #carousel {
        width: 1180px;
        height: 400px;
        position: relative;
        display: flex;
        align-items: center;
        z-index: 0;
        #prev,
        #next {
            cursor: pointer;
            transition: opacity 0.3s ease;
            opacity: 0;
            position: absolute;
            font-size: 100px;
            color: rgba(220, 220, 220, 0.8);
            background-color: rgba(0, 0, 0, 0.8);
            padding: 10px;
        }
        #prev {
            left: 0;
        }
        #next {
            right: 0;
        }
        .bB2 {
            position: absolute;
            z-index: 3;
            right: 46%;
            top: 79%;
        }
    }
}

#carousel:hover #prev,
#carousel:hover #next {
    opacity: 1;
}

.buttonBlack {
    border: none;
    background-color: black;
    color: white;
    padding: 13px 13px;
    text-align: center;
    text-decoration: none;
    font-size: 16px;
    margin: 4px 2px;
    cursor: pointer;
    a {
        text-decoration: none;
        color: white;
    }
}


/* INSTAGRAM Embeded */

.instaContainer {
    display: flex;
    justify-content: center;
    background-color: yellow;
    width: 100%;
}


/* NEED TO MAKE IT RESPONSIVE Instagram Responsive*/


/* DOES NOT ALLOW THE W, H, M-W INTO CONSIDERATION THE CODE MUST BE BADLY WRITTEN*/

.instaResponsive {
    width: 100%;
    height: auto;
    max-width: 330px;
    background-color: violet;
    padding: 2px;
}

// REVIEW SECTION
.reviews {
    display: flex;
    width: 100%;
    height: auto;
    justify-content: center;
    background-color: rgba(187, 204, 234, 0.7);
    text-align: center;
    .rev_center {
        display: flex;
        width: 90%;
        flex-direction: row;
        align-items: center;
        .reviewer {
            background-color: rosybrown;
            .rImage {
                outline: solid 2px black;
                padding: 8em;
                background-size: cover;
            }
            .rImage1 {
                background-position: top;
                background-image: url('/assets/images/review/p1.jpg');
            }
            .rImage2 {
                background-position: center;
                background-image: url('/assets/images/review/p2.jpg');
            }
            .rImage3 {
                background-position: top right;
                background-image: url('/assets/images/review/p3.jpg');
            }
            .rInfo {
                h3 {
                    color: white;
                    font-size: 1em;
                    padding-top: 1%;
                }
                p {
                    font-size: 0.8em;
                    padding: 1%;
                }
            }
        }
    }
}

.formNewsletter {
    background-color: bbccea;
    background: linear-gradient(to left top, rgba(187, 204, 234, 0.7), rgba(255, 204, 234, 0.3));
    padding: 2%;
    display: flex;
    align-items: center;
    justify-content: center;
}


/* Contact logos and social Network */

#fname,
#fsurname,
#femail,
#fbutton {
    padding: 6px;
    font-weight: bold;
    border-radius: 16%;
}

#fbutton {
    background-color: hsl(173, 25%, 73%);
    cursor: pointer;
}


/* Contact logos and social Network */

footer {
    display: flex;
    justify-content: center;
    background-color: bbccea;
    background: linear-gradient(to bottom left, rgba(187, 204, 234, 0.7), rgba(255, 204, 234, 0.3));
}

.footerSocial {
    display: flex;
    justify-content: space-between;
    align-content: space-between;
    width: 30%;
    padding: 0.5% 0;
}